Bug 1773356 - QT Crashes constantly
Summary: QT Crashes constantly
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-17 20:43 UTC by Andrea
Modified: 2020-01-13 09:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 21:33:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrea 2019-11-17 20:43:17 UTC
Description of problem:

QT Creator crashes every 10-15 minutes

Version-Release number of selected component (if applicable):

Fedora 31 fully updated
QT Creator 4.10.2

How reproducible:

Random

Actual results:

Crash

Expected results:

Works

Additional info:

Running on a 64 bit CPU, GNOME, fresh Fedora install, removed multiple times all previous qt-creator settings as per https://doc.qt.io/qtcreator/creator-faq.html

Comment 1 Sandro Mani 2019-11-17 21:31:17 UTC
Without a stack trace or steps to reproduce, there is no way this can be addressed.

Comment 2 Andrea 2019-11-20 21:33:21 UTC
Ok, I will reopen it if I get a stack trace.

Comment 3 Andrea 2019-11-22 20:19:02 UTC
Unfortunately the reporting tool is not able to upload & process the data.

Here is the output.

--- Running report_uReport ---
('report_uReport' completed successfully)

--- Skipping collect_vimrc_user ---
No matching actions found for this event.

--- Running collect_xsession_errors ---
Element 'xsession_errors' saved

--- Skipping collect_vimrc_system ---
No matching actions found for this event.

--- Skipping collect_GConf ---
No matching actions found for this event.

--- Running analyze_CCpp ---
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be generated locally. (It may download a huge amount of data). 'YES'
Querying server settings
Preparing an archive to upload
You are going to upload 33.0 MiB. Continue? 'YES'
Uploading 33.0 MiB
Upload successful
Retrace job started
Analyzing crash data
.....................
Preparing environment for backtrace generation
.....
Retrace job failed
Retrace failed. Try again later and if the problem persists report this issue please.
    2019-11-22 20:12:03 Analyzing crash data
 2019-11-22 20:15:56 INFO:faf.Coredump2Packages:Executing eu-unstrip
INFO:faf.Coredump2Packages:Mapping build-ids into debuginfo packages
INFO:faf.Coredump2Packages:Getting binary packages from debuginfos

    2019-11-22 20:15:56 Preparing environment for backtrace generation
   2019-11-22 20:17:05 /usr/bin/mock init --resultdir /srv/retrace/tasks/858367717/log --configdir /srv/retrace/tasks/858367717 exitted with 30
=== OUTPUT ===
INFO: mock.py version 1.4.21 starting (python version = 3.6.8)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: clean chroot
Finish: clean chroot
Start: chroot init
INFO: calling preinit hooks
INFO: enabled HW Info plugin
Mock Version: 1.4.21
INFO: Mock Version: 1.4.21
Start: yum install
ERROR: Command failed: 
 # /usr/bin/yum --installroot /var/lib/mock/858367717/root/ --releasever 7.7 --skip-broken install bash cpio glibc-debuginfo abrt-addon-ccpp shadow-utils findutils gdb rpm --setopt=tsflags=nocontexts
Failed to set locale, defaulting to C

================================================================================
 Package                   Arch   Version                          Repository
                                                                           Size
================================================================================
Installing:
 abrt-addon-ccpp           x86_64 2.13.0-1.fc31                    fedora 133 k
 bash                      x86_64 5.0.7-3.fc31                     fedora 1.6 M
 cpio                      x86_64 2.12-12.fc31                     fedora 260 k
 findutils                 x86_64 1:4.6.0-24.fc31                  fedora 520 k
 gdb                       x86_64 8.3.50.20190824-24.fc31          fedora 129 k
 glibc-debuginfo           x86_64 2.30-7.fc31                      fedora  13 M
 rpm                       x86_64 4.15.1-1.fc31                    fedora 499 k
 shadow-utils              x86_64 2:4.6-16.fc31                    fedora 1.2 M
Installing for dependencies:
 abrt                      x86_64 2.13.0-1.fc31                    fedora 534 k
 abrt-dbus                 x86_64 2.13.0-1.fc31                    fedora  73 k
 abrt-libs                 x86_64 2.13.0-1.fc31                    fedora  44 k
 abrt-retrace-client       x86_64 2.13.0-1.fc31                    fedora  36 k
 acl                       x86_64 2.2.53-4.fc31                    fedora  72 k
 alternatives              x86_64 1.11-5.fc31                      fedora  35 k
 audit-libs                x86_64 3.0-0.15.20191104git1c2f876.fc31 fedora 115 k
 augeas-libs               x86_64 1.12.0-2.fc31                    fedora 417 k
 basesystem                noarch 11-8.fc31                        fedora 6.9 k
 boost-regex               x86_64 1.69.0-9.fc31                    fedora 313 k
 brotli                    x86_64 1.0.7-6.fc31                     fedora 341 k
 bzip2-libs                x86_64 1.0.8-1.fc31                     fedora  40 k
 ca-certificates           noarch 2019.2.32-3.fc31                 fedora 367 k
 coreutils-single          x86_64 8.31-6.fc31                      fedora 622 k
 cracklib                  x86_64 2.9.6-21.fc31                    fedora  83 k
 crypto-policies           noarch 20191002-1.gitc93dc99.fc31       fedora  91 k
 cryptsetup-libs           x86_64 2.2.2-1.fc31                     fedora 428 k
 ctags                     x86_64 5.8-26.fc31                      fedora 169 k
 curl-minimal              x86_64 7.66.0-1.fc31                    fedora 129 k
 cyrus-sasl-lib            x86_64 2.1.27-2.fc31                    fedora 102 k
 dbus                      x86_64 1:1.12.16-3.fc31                 fedora  11 k
 dbus-broker               x86_64 21-6.fc31                        fedora 175 k
 dbus-common               noarch 1:1.12.16-3.fc31                 fedora  17 k
 dbus-libs                 x86_64 1:1.12.16-3.fc31                 fedora 161 k
 dbus-tools                x86_64 1:1.12.16-3.fc31                 fedora  56 k
 device-mapper             x86_64 1.02.165-1.fc31                  fedora 147 k
 device-mapper-libs        x86_64 1.02.165-1.fc31                  fedora 182 k
 dmidecode                 x86_64 1:3.2-3.fc31                     fedora  88 k
 dnf-data                  noarch 4.2.15-2.fc31                    fedora  47 k
 elfutils                  x86_64 0.177-1.fc31                     fedora 330 k
 elfutils-default-yama-scope
                           noarch 0.177-1.fc31                     fedora  16 k
 elfutils-libelf           x86_64 0.177-1.fc31                     fedora 191 k
 elfutils-libs             x86_64 0.177-1.fc31                     fedora 297 k
 expat                     x86_64 2.2.8-1.fc31                     fedora 102 k
 fedora-gpg-keys           noarch 31-1                             fedora 100 k
 fedora-release            noarch 31-2                             fedora  11 k
 fedora-release-common     noarch 31-2                             fedora  20 k
 fedora-repos              noarch 31-1                             fedora 9.6 k
 file-libs                 x86_64 5.37-8.fc31                      fedora 541 k
 filesystem                x86_64 3.12-2.fc31                      fedora 1.1 M
 gawk                      x86_64 5.0.1-5.fc31                     fedora 1.2 M
 gdb-headless              x86_64 8.3.50.20190824-24.fc31          fedora 3.7 M
 gdbm-libs                 x86_64 1:1.18.1-1.fc31                  fedora  55 k
 glib-networking           x86_64 2.62.1-1.fc31                    fedora 155 k
 glib2                     x86_64 2.62.3-1.fc31                    fedora 2.6 M
 glibc                     x86_64 2.30-7.fc31                      fedora 3.5 M
 glibc-common              x86_64 2.30-7.fc31                      fedora 646 k
 glibc-debuginfo-common    x86_64 2.30-7.fc31                      fedora 9.8 M
 glibc-langpack-zu         x86_64 2.30-7.fc31                      fedora 572 k
 gmp                       x86_64 1:6.1.2-10.fc31                  fedora 265 k
 gnupg2                    x86_64 2.2.17-2.fc31                    fedora 2.4 M
 gnutls                    x86_64 3.6.10-1.fc31                    fedora 940 k
 gobject-introspection     x86_64 1.62.0-1.fc31                    fedora 270 k
 gpgme                     x86_64 1.13.1-3.fc31                    fedora 203 k
 grep                      x86_64 3.3-3.fc31                       fedora 249 k
 gsettings-desktop-schemas x86_64 3.34.0-1.fc31                    fedora 644 k
 gzip                      x86_64 1.10-1.fc31                      fedora 155 k
 ima-evm-utils             x86_64 1.2.1-2.fc31                     fedora  57 k
 iptables-libs             x86_64 1.8.3-5.fc31                     fedora  57 k
 json-c                    x86_64 0.13.1-7.fc31                    fedora  38 k
 keyutils-libs             x86_64 1.6-3.fc31                       fedora  31 k
 kmod-libs                 x86_64 26-4.fc31                        fedora  64 k
 krb5-libs                 x86_64 1.17-45.fc31                     fedora 755 k
 libacl                    x86_64 2.2.53-4.fc31                    fedora  25 k
 libarchive                x86_64 3.4.0-1.fc31                     fedora 383 k
 libargon2                 x86_64 20171227-3.fc31                  fedora  30 k
 libassuan                 x86_64 2.5.3-2.fc31                     fedora  69 k
 libattr                   x86_64 2.4.48-7.fc31                    fedora  18 k
 libbabeltrace             x86_64 1.5.7-2.fc31                     fedora 204 k
 libblkid                  x86_64 2.34-3.fc31                      fedora 160 k
 libcap                    x86_64 2.26-6.fc31                      fedora  52 k
 libcap-ng                 x86_64 0.7.10-1.fc31                    fedora  28 k
 libcom_err                x86_64 1.45.3-1.fc31                    fedora  28 k
 libcomps                  x86_64 0.1.11-3.fc31                    fedora  80 k
 libcurl-minimal           x86_64 7.66.0-1.fc31                    fedora 254 k
 libdb                     x86_64 5.3.28-38.fc31                   fedora 763 k
 libdb-utils               x86_64 5.3.28-38.fc31                   fedora 143 k
 libdnf                    x86_64 0.37.2-2.fc31                    fedora 634 k
 libfdisk                  x86_64 2.34-3.fc31                      fedora 211 k
 libffi                    x86_64 3.1-23.fc31                      fedora  33 k
 libgcc                    x86_64 9.2.1-1.fc31                     fedora  95 k
 libgcrypt                 x86_64 1.8.5-1.fc31                     fedora 466 k
 libgomp                   x86_64 9.2.1-1.fc31                     fedora 230 k
 libgpg-error              x86_64 1.36-2.fc31                      fedora 200 k
 libicu                    x86_64 63.2-3.fc31                      fedora 9.3 M
 libidn2                   x86_64 2.3.0-1.fc31                     fedora 104 k
 libipt                    x86_64 2.0-3.fc31                       fedora  57 k
 libksba                   x86_64 1.3.5-10.fc31                    fedora 132 k
 libmodman                 x86_64 2.0.1-20.fc31                    fedora  34 k
 libmodulemd               x86_64 2.8.2-1.fc31                     fedora 194 k
 libmodulemd1              x86_64 1.8.16-1.fc31                    fedora 175 k
 libmount                  x86_64 2.34-3.fc31                      fedora 185 k
 libnghttp2                x86_64 1.39.2-2.fc31                    fedora  81 k
 libnsl2                   x86_64 1.2.0-5.20180605git4a062cf.fc31  fedora  59 k
 libpcap                   x86_64 14:1.9.1-1.fc31                  fedora 169 k
 libproxy                  x86_64 0.4.15-14.fc31                   fedora  69 k
 libpsl                    x86_64 0.21.0-2.fc31                    fedora  61 k
 libpwquality              x86_64 1.4.2-1.fc31                     fedora 101 k
 librepo                   x86_64 1.11.0-1.fc31                    fedora  96 k
 libreport                 x86_64 2.11.3-1.fc31                    fedora 509 k
 libreport-filesystem      noarch 2.11.3-1.fc31                    fedora  14 k
 libreport-plugin-systemd-journal
                           x86_64 2.11.3-1.fc31                    fedora  23 k
 libreport-plugin-ureport  x86_64 2.11.3-1.fc31                    fedora  36 k
 libreport-web             x86_64 2.11.3-1.fc31                    fedora  34 k
 libseccomp                x86_64 2.4.2-1.fc31                     fedora  76 k
 libselinux                x86_64 2.9-5.fc31                       fedora  86 k
 libsemanage               x86_64 2.9-3.fc31                       fedora 123 k
 libsepol                  x86_64 2.9-2.fc31                       fedora 301 k
 libsigsegv                x86_64 2.11-8.fc31                      fedora  26 k
 libsmartcols              x86_64 2.34-3.fc31                      fedora 128 k
 libsolv                   x86_64 0.7.8-1.fc31                     fedora 396 k
 libsoup                   x86_64 2.68.2-1.fc31                    fedora 383 k
 libstdc++                 x86_64 9.2.1-1.fc31                     fedora 627 k
 libtar                    x86_64 1.2.20-18.fc31                   fedora  39 k
 libtasn1                  x86_64 4.14-2.fc31                      fedora  72 k
 libtirpc                  x86_64 1.1.4-2.rc3.fc31                 fedora 106 k
 libunistring              x86_64 0.9.10-6.fc31                    fedora 513 k
 libusbx                   x86_64 1.0.22-4.fc31                    fedora  69 k
 libutempter               x86_64 1.1.6-17.fc31                    fedora  26 k
 libuuid                   x86_64 2.34-3.fc31                      fedora  28 k
 libverto                  x86_64 0.3.0-8.fc31                     fedora  22 k
 libxcrypt                 x86_64 4.4.10-1.fc31                    fedora 126 k
 libxml2                   x86_64 2.9.10-1.fc31                    fedora 693 k
 libyaml                   x86_64 0.2.2-2.fc31                     fedora  60 k
 libzstd                   x86_64 1.4.2-1.fc31                     fedora 269 k
 lua-libs                  x86_64 5.3.5-6.fc31                     fedora 117 k
 lz4                       x86_64 1.9.1-1.fc31                     fedora 108 k
 lz4-libs                  x86_64 1.9.1-1.fc31                     fedora  66 k
 mpfr                      x86_64 3.1.6-5.fc31                     fedora 220 k
 ncurses-base              noarch 6.1-12.20190803.fc31             fedora  60 k
 ncurses-libs              x86_64 6.1-12.20190803.fc31             fedora 331 k
 nettle                    x86_64 3.5.1-3.fc31                     fedora 404 k
 npth                      x86_64 1.6-3.fc31                       fedora  25 k
 openldap                  x86_64 2.4.47-3.fc31                    fedora 304 k
 openssl                   x86_64 1:1.1.1d-2.fc31                  fedora 647 k
 openssl-libs              x86_64 1:1.1.1d-2.fc31                  fedora 1.4 M
 p11-kit                   x86_64 0.23.16.1-2.fc31                 fedora 292 k
 p11-kit-trust             x86_64 0.23.16.1-2.fc31                 fedora 144 k
 pam                       x86_64 1.3.1-18.fc31                    fedora 661 k
 pcre                      x86_64 8.43-2.fc31.1                    fedora 193 k
 pcre2                     x86_64 10.33-16.fc31                    fedora 255 k
 polkit-libs               x86_64 0.116-4.fc31.1                   fedora  67 k
 popt                      x86_64 1.16-18.fc31                     fedora  59 k
 publicsuffix-list-dafsa   noarch 20190417-2.fc31                  fedora  56 k
 python-pip-wheel          noarch 19.1.1-5.fc31                    fedora 1.1 M
 python-setuptools-wheel   noarch 41.2.0-1.fc31                    fedora 275 k
 python3                   x86_64 3.7.5-1.fc31                     fedora  31 k
 python3-abrt              x86_64 2.13.0-1.fc31                    fedora  42 k
 python3-augeas            noarch 0.5.0-15.fc31                    fedora  27 k
 python3-dbus              x86_64 1.2.8-6.fc31                     fedora 132 k
 python3-dnf               noarch 4.2.15-2.fc31                    fedora 396 k
 python3-gobject-base      x86_64 3.34.0-3.fc31                    fedora 317 k
 python3-gpg               x86_64 1.13.1-3.fc31                    fedora 248 k
 python3-hawkey            x86_64 0.37.2-2.fc31                    fedora 100 k
 python3-libcomps          x86_64 0.1.11-3.fc31                    fedora  50 k
 python3-libdnf            x86_64 0.37.2-2.fc31                    fedora 704 k
 python3-libreport         x86_64 2.11.3-1.fc31                    fedora  53 k
 python3-libs              x86_64 3.7.5-1.fc31                     fedora 7.3 M
 python3-rpm               x86_64 4.15.1-1.fc31                    fedora  95 k
 qrencode-libs             x86_64 4.0.2-4.fc31                     fedora  61 k
 readline                  x86_64 8.0-3.fc31                       fedora 206 k
 rpm-build-libs            x86_64 4.15.1-1.fc31                    fedora  97 k
 rpm-libs                  x86_64 4.15.1-1.fc31                    fedora 300 k
 rpm-sign-libs             x86_64 4.15.1-1.fc31                    fedora  26 k
 satyr                     x86_64 0.29-2.fc31                      fedora 117 k
 sed                       x86_64 4.5-4.fc31                       fedora 291 k
 setup                     noarch 2.13.6-1.fc31                    fedora 142 k
 source-highlight          x86_64 3.1.9-1.fc31                     fedora 667 k
 sqlite-libs               x86_64 3.30.0-1.fc31                    fedora 571 k
 systemd                   x86_64 243.4-1.fc31                     fedora 3.8 M
 systemd-libs              x86_64 243.4-1.fc31                     fedora 525 k
 systemd-pam               x86_64 243.4-1.fc31                     fedora 167 k
 systemd-rpm-macros        noarch 243.4-1.fc31                     fedora  23 k
 tar                       x86_64 2:1.32-2.fc31                    fedora 887 k
 tss2                      x86_64 1331-2.fc31                      fedora 577 k
 tzdata                    noarch 2019c-1.fc31                     fedora 429 k
 util-linux                x86_64 2.34-3.fc31                      fedora 2.6 M
 xmlrpc-c                  x86_64 1.51.0-9.fc31                    fedora 198 k
 xmlrpc-c-client           x86_64 1.51.0-9.fc31                    fedora  30 k
 xz                        x86_64 5.2.4-6.fc31                     fedora 147 k
 xz-libs                   x86_64 5.2.4-6.fc31                     fedora  90 k
 zchunk-libs               x86_64 1.1.4-1.fc31                     fedora  50 k
 zlib                      x86_64 1.2.11-20.fc31                   fedora  92 k

Transaction Summary
================================================================================
Install  8 Packages (+183 Dependent packages)

Total download size: 100 M
Installed size: 453 M
ERROR You need to update rpm to handle:
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by xz-libs-5.2.4-6.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libsmartcols-2.34-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by dbus-1:1.12.16-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by abrt-addon-ccpp-2.13.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gnutls-3.6.10-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by tar-2:1.32-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by boost-regex-1.69.0-9.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by xmlrpc-c-1.51.0-9.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by ca-certificates-2019.2.32-3.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by rpm-libs-4.15.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by librepo-1.11.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by cryptsetup-libs-2.2.2-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by bash-5.0.7-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by mpfr-3.1.6-5.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-abrt-2.13.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libcurl-minimal-7.66.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libgpg-error-1.36-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libidn2-2.3.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by acl-2.2.53-4.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by p11-kit-0.23.16.1-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by sed-4.5-4.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-gobject-base-3.34.0-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libxml2-2.9.10-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by bzip2-libs-1.0.8-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-libreport-2.11.3-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by krb5-libs-1.17-45.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libselinux-2.9-5.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libtirpc-1.1.4-2.rc3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by rpm-sign-libs-4.15.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by dbus-common-1:1.12.16-3.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libfdisk-2.34-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by pam-1.3.1-18.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by dbus-broker-21-6.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libxcrypt-4.4.10-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libstdc++-9.2.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-hawkey-0.37.2-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by iptables-libs-1.8.3-5.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libassuan-2.5.3-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libnsl2-1.2.0-5.20180605git4a062cf.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by elfutils-default-yama-scope-0.177-1.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by zlib-1.2.11-20.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by dnf-data-4.2.15-2.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libreport-web-2.11.3-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by qrencode-libs-4.0.2-4.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libcom_err-1.45.3-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by filesystem-3.12-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libreport-plugin-ureport-2.11.3-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by fedora-gpg-keys-31-1.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by elfutils-libs-0.177-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by coreutils-single-8.31-6.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libdb-5.3.28-38.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gdbm-libs-1:1.18.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libyaml-0.2.2-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by rpm-build-libs-4.15.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libmodulemd-2.8.2-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by findutils-1:4.6.0-24.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by file-libs-5.37-8.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libsolv-0.7.8-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libarchive-3.4.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libgomp-9.2.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by ima-evm-utils-1.2.1-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libsepol-2.9-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by pcre2-10.33-16.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libpsl-0.21.0-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by xz-5.2.4-6.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python-pip-wheel-19.1.1-5.fc31.noarch
rpmlib(RichDependencies) <= 4.12.0-1 is needed by python-pip-wheel-19.1.1-5.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libsemanage-2.9-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-augeas-0.5.0-15.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gdb-8.3.50.20190824-24.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libblkid-2.34-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libpwquality-1.4.2-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libnghttp2-1.39.2-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-dnf-4.2.15-2.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by device-mapper-libs-1.02.165-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by abrt-dbus-2.13.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libdnf-0.37.2-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gobject-introspection-1.62.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by kmod-libs-26-4.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by cpio-2.12-12.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by openldap-2.4.47-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by elfutils-0.177-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gawk-5.0.1-5.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by xmlrpc-c-client-1.51.0-9.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by ncurses-base-6.1-12.20190803.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libcomps-0.1.11-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gnupg2-2.2.17-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-libdnf-0.37.2-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libattr-2.4.48-7.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by device-mapper-1.02.165-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by systemd-pam-243.4-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libverto-0.3.0-8.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gpgme-1.13.1-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by systemd-libs-243.4-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-3.7.5-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by pcre-8.43-2.fc31.1.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by lua-libs-5.3.5-6.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libunistring-0.9.10-6.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by curl-minimal-7.66.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libmodman-2.0.1-20.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by glibc-2.30-7.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by cracklib-2.9.6-21.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by brotli-1.0.7-6.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by rpm-4.15.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by p11-kit-trust-0.23.16.1-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by zchunk-libs-1.1.4-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libdb-utils-5.3.28-38.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by satyr-0.29-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by crypto-policies-20191002-1.gitc93dc99.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by augeas-libs-1.12.0-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by util-linux-2.34-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by setup-2.13.6-1.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by glibc-common-2.30-7.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libacl-2.2.53-4.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by abrt-2.13.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by npth-1.6-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by glib-networking-2.62.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by openssl-1:1.1.1d-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libicu-63.2-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by keyutils-libs-1.6-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by ctags-5.8-26.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by shadow-utils-2:4.6-16.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by expat-2.2.8-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libtasn1-4.14-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by polkit-libs-0.116-4.fc31.1.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by fedora-repos-31-1.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libbabeltrace-1.5.7-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-libs-3.7.5-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libsoup-2.68.2-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by audit-libs-3.0-0.15.20191104git1c2f876.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by tzdata-2019c-1.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by openssl-libs-1:1.1.1d-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libcap-ng-0.7.10-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by lz4-libs-1.9.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libargon2-20171227-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by abrt-retrace-client-2.13.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by glib2-2.62.3-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by alternatives-1.11-5.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by glibc-debuginfo-2.30-7.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libksba-1.3.5-10.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by fedora-release-common-31-2.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libuuid-2.34-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by glibc-debuginfo-common-2.30-7.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libreport-2.11.3-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by glibc-langpack-zu-2.30-7.fc31.x86_64
rpmlib(RichDependencies) <= 4.12.0-1 is needed by glibc-langpack-zu-2.30-7.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-libcomps-0.1.11-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by grep-3.3-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by source-highlight-3.1.9-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-gpg-1.13.1-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by cyrus-sasl-lib-2.1.27-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libgcrypt-1.8.5-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by lz4-1.9.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by systemd-rpm-macros-243.4-1.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by json-c-0.13.1-7.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by nettle-3.5.1-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libffi-3.1-23.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by readline-8.0-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libtar-1.2.20-18.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by abrt-libs-2.13.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by elfutils-libelf-0.177-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by dmidecode-1:3.2-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libzstd-1.4.2-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-dbus-1.2.8-6.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by dbus-tools-1:1.12.16-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libproxy-0.4.15-14.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by systemd-243.4-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libmount-2.34-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libsigsegv-2.11-8.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by fedora-release-31-2.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gdb-headless-8.3.50.20190824-24.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by basesystem-11-8.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gzip-1.10-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libseccomp-2.4.2-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by publicsuffix-list-dafsa-20190417-2.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libusbx-1.0.22-4.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python3-rpm-4.15.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libgcc-9.2.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libmodulemd1-1.8.16-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by tss2-1331-2.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by sqlite-libs-3.30.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libpcap-14:1.9.1-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libutempter-1.1.6-17.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libreport-filesystem-2.11.3-1.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libipt-2.0-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by popt-1.16-18.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by python-setuptools-wheel-41.2.0-1.fc31.noarch
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by dbus-libs-1:1.12.16-3.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by gsettings-desktop-schemas-3.34.0-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by ncurses-libs-6.1-12.20190803.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libreport-plugin-systemd-journal-2.11.3-1.fc31.x86_64
rpmlib(PayloadIsZstd) <= 5.4.18-1 is needed by libcap-2.26-6.fc31.x86_64
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2019-11-22.20-16.A6cE9T.yumtx
RPM needs to be updated


   2019-11-22 20:17:07 None

Do you want to generate a stack trace locally? (It may download a huge amount of data but reporting can't continue without stack trace). 'NO'
('analyze_CCpp' exited with 1)

Comment 4 Sandro Mani 2019-11-23 07:04:46 UTC
This unfortunately isn't a stack trace, you may need to answer "yes" to generate the stack trace locally if it does not work with the retrace server.

Comment 5 Andrea 2019-12-02 20:31:58 UTC
What about this one

https://retrace.fedoraproject.org/faf/reports/2768693/

Comment 6 Andrea 2019-12-02 20:47:25 UTC
or this

https://retrace.fedoraproject.org/faf/reports/2739633/

Comment 7 Sandro Mani 2019-12-02 21:07:20 UTC
The two crashes are very different, in one case it actually fails with a qt_message_output, would be interesting to see if something is printed to the terminal if you start the application from one.

Comment 8 Andrea 2019-12-02 21:37:00 UTC
What does this mean?

this is all that it prints to the console

[andrea@localhost ~]$ qtcreator 
QSocketNotifier: Can only be used with threads started with QThread

Comment 9 Sandro Mani 2019-12-02 21:40:44 UTC
Does running

$ QT_QPA_PLATFORM=xcb qtcreator

prevent the crashing?

Comment 10 Simon Meaden 2019-12-28 09:22:15 UTC
Not as of this morning. I just upgraded to 31 via DNF and QtCreator crashes every time I use a menu. I got this stack trace from juornalctl is that what you want?

This is thrown on crashing when run on the command line:

"The command \"/usr/bin/x86_64-redhat-linux-accel-nvptx-none-gcc\" terminated with exit code 1."
Cannot update Qt version information: /opt/mxe/usr/x86_64-w64-mingw32.shared/qt5/bin/qmake cannot be run.
Cannot update Qt version information: /opt/mxe/usr/x86_64-w64-mingw32.static/qt5/bin/qmake cannot be run.
Cannot update Qt version information: /opt/mxe/usr/i686-w64-mingw32.shared/qt5/bin/qmake cannot be run.
Cannot update Qt version information: /opt/mxe/usr/i686-w64-mingw32.static/qt5/bin/qmake cannot be run.
terminate called after throwing an instance of 'Sqlite::UnknowError'
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-jSdHjC/ClangBackEnd-5178"
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-jSdHjC/ClangPchManagerBackEnd-5178"
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-jSdHjC/ClangRefactoringBackEnd-5178"
Aborted (core dumped)

and a bit later this pops up:
 
terminate called after throwing an instance of 'Sqlite::UnknowError'

I got this from journalctl:

Dec 28 09:18:45 localhost.localdomain systemd[1]: Started Process Core Dump (PID 6140/UID 0).
Dec 28 09:18:47 localhost.localdomain systemd-coredump[6141]: Process 5827 (qtcreator) of user 1000 dumped core.
                                                              
                                                              Stack trace of thread 5827:
                                                              #0  0x00007fccd8e8c625 raise (libc.so.6)
                                                              #1  0x00007fccd8e758d9 abort (libc.so.6)
                                                              #2  0x00007fccd90de6b6 _ZN9__gnu_cxx27__verbose_terminate_handlerEv.cold (libstdc++.so.6)
                                                              #3  0x00007fccd90ea86c _ZN10__cxxabiv111__terminateEPFvvE (libstdc++.so.6)
                                                              #4  0x00007fccd90ea8c7 _ZSt9terminatev (libstdc++.so.6)
                                                              #5  0x00007fccd90eab29 __cxa_throw (libstdc++.so.6)
                                                              #6  0x00007fcca1ad1321 _ZNK6Sqlite13BaseStatement16throwUnknowErrorEPKc.cold (libSqlite.so.4)
                                                              #7  0x00007fcca1b8c2f9 _ZNK6Sqlite13BaseStatement17checkForStepErrorEi (libSqlite.so.4)
                                                              #8  0x00007fcca1b8c386 _ZNK6Sqlite13BaseStatement4nextEv (libSqlite.so.4)
                                                              #9  0x00007fcca0e2bb98 _ZNK16ClangRefactoring11SymbolQueryINS_27QuerySqliteStatementFactoryIN6Sqlite8DatabaseENS2_13ReadStatementEEEE14sourceUsagesAtEN12ClangBackEnd10FilePathIdEii (libClangRefactoring.so)
                                                              #10 0x00007fcca0e1decc _ZNK16ClangRefactoring17RefactoringEngine11locationsAtERKN8CppTools14CursorInEditorE (libClangRefactoring.so)
                                                              #11 0x00007fcca0e1e21f _ZNK16ClangRefactoring17RefactoringEngine10findUsagesERKN8CppTools14CursorInEditorEOSt8functionIFvRKSt6vectorINS1_5UsageESaIS7_EEEE (libClangRefactoring.so)
                                                              #12 0x00007fcca31e90d1 _ZN9CppEditor8Internal15CppEditorWidget10findUsagesE11QTextCursor (libCppEditor.so)
                                                              #13 0x00007fcca31e9237 _ZN9CppEditor8Internal15CppEditorWidget10findUsagesEv (libCppEditor.so)
                                                              #14 0x00007fccacce3fc0 _ZNSt17_Function_handlerIFvbEZN10TextEditor8Internal30TextEditorActionHandlerPrivate14registerActionEN4Core2IdESt8functionIFvPNS1_16TextEditorWidgetEEEbRK7QStringRK12QKeySequenceS5_PNS4_15ActionContainerEEUlbE_E9_M_invokeERKSt9_Any_dataOb (libTextEditor.so)
                                                              #15 0x00007fccacce41d3 _ZN9QtPrivate18QFunctorSlotObjectISt8functionIFvbEELi1ENS_4ListIJbEEEvE4implEiPNS_15QSlotObjectBaseEP7QObjectPPvPb (libTextEditor.so)
                                                              #16 0x00007fccd94f7010 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                                                              #17 0x00007fccd9ff1456 _ZN7QAction9triggeredEb (libQt5Widgets.so.5)
                                                              #18 0x00007fccd94f7010 _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                                                              #19 0x00007fccd9ff1456 _ZN7QAction9triggeredEb (libQt5Widgets.so.5)
                                                              #20 0x00007fccd9ff3b12 _ZN7QAction8activateENS_11ActionEventE (libQt5Widgets.so.5)
                                                              #21 0x00007fccda179a92 _ZN12QMenuPrivate19activateCausedStackERK7QVectorI8QPointerI7QWidgetEEP7QActionNS7_11ActionEventEb (libQt5Widgets.so.5)
                                                              #22 0x00007fccda18122e _ZN12QMenuPrivate14activateActionEP7QActionNS0_11ActionEventEb (libQt5Widgets.so.5)
                                                              #23 0x00007fccda182252 _ZN5QMenu17mouseReleaseEventEP11QMouseEvent (libQt5Widgets.so.5)
                                                              #24 0x00007fccda03a34e _ZN7QWidget5eventEP6QEvent (libQt5Widgets.so.5)
                                                              #25 0x00007fccda18484b _ZN5QMenu5eventEP6QEvent (libQt5Widgets.so.5)
                                                              #26 0x00007fccd9ff7ad6 _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                                                              #27 0x00007fccda0013a3 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                                                              #28 0x00007fccd94ccdf8 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                                                              #29 0x00007fccda0004b7 _ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Ebb (libQt5Widgets.so.5)
                                                              #30 0x00007fccda056a64 _ZN13QWidgetWindow16handleMouseEventEP11QMouseEvent (libQt5Widgets.so.5)
                                                              #31 0x00007fccda058f6c _ZN13QWidgetWindow5eventEP6QEvent (libQt5Widgets.so.5)
                                                              #32 0x00007fccd9ff7ad6 _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                                                              #33 0x00007fccda001150 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                                                              #34 0x00007fccd94ccdf8 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                                                              #35 0x00007fccd9a60c43 _ZN22QGuiApplicationPrivate17processMouseEventEPN29QWindowSystemInterfacePrivate10MouseEventE (libQt5Gui.so.5)
                                                              #36 0x00007fccd9a6246b _ZN22QGuiApplicationPrivate24processWindowSystemEventEPN29QWindowSystemInterfacePrivate17WindowSystemEventE (libQt5Gui.so.5)
                                                              #37 0x00007fccd9a3e56b _ZN22QWindowSystemInterface22sendWindowSystemEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Gui.so.5)
                                                              #38 0x00007fccc8a46b5e _ZL17xcbSourceDispatchP8_GSourcePFiPvES1_ (libQt5XcbQpa.so.5)
                                                              #39 0x00007fccd7b994a0 g_main_context_dispatch (libglib-2.0.so.0)
                                                              #40 0x00007fccd7b99830 g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #41 0x00007fccd7b998d3 g_main_context_iteration (libglib-2.0.so.0)
                                                              #42 0x00007fccd9521d85 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #43 0x00007fccd94cbcfb _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #44 0x00007fccda17ee31 _ZN5QMenu4execERK6QPointP7QAction (libQt5Widgets.so.5)
                                                              #45 0x00007fcca31e8620 _ZN9CppEditor8Internal15CppEditorWidget16contextMenuEventEP17QContextMenuEvent (libCppEditor.so)
                                                              #46 0x00007fccda03a34e _ZN7QWidget5eventEP6QEvent (libQt5Widgets.so.5)
                                                              #47 0x00007fccda0e7942 _ZN6QFrame5eventEP6QEvent (libQt5Widgets.so.5)
                                                              #48 0x00007fccaccc31e8 _ZN10TextEditor16TextEditorWidget13viewportEventEP6QEvent (libTextEditor.so)
                                                              #49 0x00007fccd94ccc3e _ZN23QCoreApplicationPrivate29sendThroughObjectEventFiltersEP7QObjectP6QEvent (libQt5Core.so.5)
                                                              #50 0x00007fccd9ff7ac5 _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                                                              #51 0x00007fccda001bf3 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                                                              #52 0x00007fccd94ccdf8 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                                                              #53 0x00007fccda0566ca _ZN13QWidgetWindow16handleMouseEventEP11QMouseEvent (libQt5Widgets.so.5)
                                                              #54 0x00007fccda058f6c _ZN13QWidgetWindow5eventEP6QEvent (libQt5Widgets.so.5)
                                                              #55 0x00007fccd9ff7ad6 _ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent (libQt5Widgets.so.5)
                                                              #56 0x00007fccda001150 _ZN12QApplication6notifyEP7QObjectP6QEvent (libQt5Widgets.so.5)
                                                              #57 0x00007fccd94ccdf8 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                                                              #58 0x00007fccd9a60c43 _ZN22QGuiApplicationPrivate17processMouseEventEPN29QWindowSystemInterfacePrivate10MouseEventE (libQt5Gui.so.5)
                                                              #59 0x00007fccd9a6246b _ZN22QGuiApplicationPrivate24processWindowSystemEventEPN29QWindowSystemInterfacePrivate17WindowSystemEventE (libQt5Gui.so.5)
                                                              #60 0x00007fccd9a3e56b _ZN22QWindowSystemInterface22sendWindowSystemEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Gui.so.5)
                                                              #61 0x00007fccc8a46b5e _ZL17xcbSourceDispatchP8_GSourcePFiPvES1_ (libQt5XcbQpa.so.5)
                                                              #62 0x00007fccd7b994a0 g_main_context_dispatch (libglib-2.0.so.0)
                                                              #63 0x00007fccd7b99830 g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              
                                                              Stack trace of thread 5832:
                                                              #0  0x00007fccd8f46a6f __poll (libc.so.6)
                                                              #1  0x00007fccd7b9979e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fccd7b998d3 g_main_context_iteration (libglib-2.0.so.0)
                                                              #3  0x00007fccc8b7293d dconf_gdbus_worker_thread (libdconfsettings.so)
                                                              #4  0x00007fccd7bc2f52 g_thread_proxy (libglib-2.0.so.0)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5842:
                                                              #0  0x00007fccd8f46a6f __poll (libc.so.6)
                                                              #1  0x00007fccd7b9979e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fccd7b998d3 g_main_context_iteration (libglib-2.0.so.0)
                                                              #3  0x00007fccd9521d85 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #4  0x00007fccd94cbcfb _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #5  0x00007fccd93243a5 _ZN7QThread4execEv (libQt5Core.so.5)
                                                              #6  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #7  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #8  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5829:
                                                              #0  0x00007fccd8f46a6f __poll (libc.so.6)
                                                              #1  0x00007fccd7b9979e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fccd7b998d3 g_main_context_iteration (libglib-2.0.so.0)
                                                              #3  0x00007fccd7b99921 glib_worker_main (libglib-2.0.so.0)
                                                              #4  0x00007fccd7bc2f52 g_thread_proxy (libglib-2.0.so.0)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5831:
                                                              #0  0x00007fccd8f46a6f __poll (libc.so.6)
                                                              #1  0x00007fccd7b9979e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fccd7b99b23 g_main_loop_run (libglib-2.0.so.0)
                                                              #3  0x00007fccc717c94a gdbus_shared_thread_func (libgio-2.0.so.0)
                                                              #4  0x00007fccd7bc2f52 g_thread_proxy (libglib-2.0.so.0)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5845:
                                                              #0  0x00007fccd8f46a6f __poll (libc.so.6)
                                                              #1  0x00007fccd7b9979e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fccd7b998d3 g_main_context_iteration (libglib-2.0.so.0)
                                                              #3  0x00007fccd9521d85 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #4  0x00007fccd94cbcfb _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #5  0x00007fccd93243a5 _ZN7QThread4execEv (libQt5Core.so.5)
                                                              #6  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #7  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #8  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 6117:
                                                              #0  0x00007fccd925007a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fccd932af39 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                              #2  0x00007fccd932b05b _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                              #3  0x00007fccd9328cd3 _ZN17QThreadPoolThread3runEv (libQt5Core.so.5)
                                                              #4  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5833:
                                                              #0  0x00007fccd8f46a6f __poll (libc.so.6)
                                                              #1  0x00007fccd7b9979e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fccd7b998d3 g_main_context_iteration (libglib-2.0.so.0)
                                                              #3  0x00007fccd9521d85 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #4  0x00007fccd94cbcfb _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #5  0x00007fccd93243a5 _ZN7QThread4execEv (libQt5Core.so.5)
                                                              #6  0x00007fccc88fff4a _ZN22QDBusConnectionManager3runEv (libQt5DBus.so.5)
                                                              #7  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #8  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #9  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5835:
                                                              #0  0x00007fccd924fd45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fccaf2af11b util_queue_thread_func (nouveau_dri.so)
                                                              #2  0x00007fccaf2aed2b impl_thrd_routine (nouveau_dri.so)
                                                              #3  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #4  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 6107:
                                                              #0  0x00007fccd925007a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fccd932af39 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                              #2  0x00007fccd932b05b _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                              #3  0x00007fccd9328cd3 _ZN17QThreadPoolThread3runEv (libQt5Core.so.5)
                                                              #4  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 6093:
                                                              #0  0x00007fccd925007a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fccd932af39 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                              #2  0x00007fccd932b05b _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                              #3  0x00007fccd9328cd3 _ZN17QThreadPoolThread3runEv (libQt5Core.so.5)
                                                              #4  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 6095:
                                                              #0  0x00007fccd925007a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fccd932af39 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                              #2  0x00007fccd932b05b _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                              #3  0x00007fccd9328cd3 _ZN17QThreadPoolThread3runEv (libQt5Core.so.5)
                                                              #4  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 6106:
                                                              #0  0x00007fccd925007a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fccd932af39 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                              #2  0x00007fccd932b05b _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                              #3  0x00007fccd9328cd3 _ZN17QThreadPoolThread3runEv (libQt5Core.so.5)
                                                              #4  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 6112:
                                                              #0  0x00007fccd925007a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fccd932af39 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                              #2  0x00007fccd932b05b _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                              #3  0x00007fccd9328cd3 _ZN17QThreadPoolThread3runEv (libQt5Core.so.5)
                                                              #4  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5828:
                                                              #0  0x00007fccd8f46a6f __poll (libc.so.6)
                                                              #1  0x00007fccd5be538a _xcb_conn_wait (libxcb.so.1)
                                                              #2  0x00007fccd5be6fea xcb_wait_for_event (libxcb.so.1)
                                                              #3  0x00007fccc8a45ac8 _ZN14QXcbEventQueue3runEv (libQt5XcbQpa.so.5)
                                                              #4  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5846:
                                                              #0  0x00007fccd8f46a6f __poll (libc.so.6)
                                                              #1  0x00007fccd7b9979e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                              #2  0x00007fccd7b998d3 g_main_context_iteration (libglib-2.0.so.0)
                                                              #3  0x00007fccd9521d85 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #4  0x00007fccd94cbcfb _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                                                              #5  0x00007fccd93243a5 _ZN7QThread4execEv (libQt5Core.so.5)
                                                              #6  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #7  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #8  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 5830:
                                                              #0  0x00007fccd8f4c1ad syscall (libc.so.6)
                                                              #1  0x00007fccd7be5c46 g_cond_wait_until (libglib-2.0.so.0)
                                                              #2  0x00007fccd7b6a411 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
                                                              #3  0x00007fccd7b6aa36 g_async_queue_timeout_pop (libglib-2.0.so.0)
                                                              #4  0x00007fccd7bc3739 g_thread_pool_thread_proxy (libglib-2.0.so.0)
                                                              #5  0x00007fccd7bc2f52 g_thread_proxy (libglib-2.0.so.0)
                                                              #6  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #7  0x00007fccd8f51693 __clone (libc.so.6)
                                                              
                                                              Stack trace of thread 6113:
                                                              #0  0x00007fccd925007a pthread_cond_timedwait@@GLIBC_2.3.2 (libpthread.so.0)
                                                              #1  0x00007fccd932af39 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                              #2  0x00007fccd932b05b _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                              #3  0x00007fccd9328cd3 _ZN17QThreadPoolThread3runEv (libQt5Core.so.5)
                                                              #4  0x00007fccd93254f6 _ZN14QThreadPrivate5startEPv (libQt5Core.so.5)
                                                              #5  0x00007fccd92494e2 start_thread (libpthread.so.0)
                                                              #6  0x00007fccd8f51693 __clone (libc.so.6)
Dec 28 09:18:47 localhost.localdomain systemd[1]: systemd-coredump@5-6140-0.service: Succeeded.
Dec 28 09:18:47 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@5-6140-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 28 09:18:47 localhost.localdomain systemd[1]: systemd-coredump@5-6140-0.service: Consumed 1.881s CPU time.
Dec 28 09:18:48 localhost.localdomain abrtd[907]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2019-12-28-09:10:19.55206-5178'
Dec 28 09:18:49 localhost.localdomain abrt-server[6157]: Lock file '.lock' is locked by process 2417
Dec 28 09:18:50 localhost.localdomain abrt-notification[6196]: Process 5827 (qtcreator) crashed in __gnu_cxx::__verbose_terminate_handler() [clone .cold]()

Comment 11 Sandro Mani 2019-12-28 19:33:20 UTC
Looks like the cause is some sqlite error. Can you run qt-creator through strace, to figure out which sqlite database file is actually being operated on?

Comment 12 Simon Meaden 2020-01-07 13:36:30 UTC
Sorry for delay, I've been away. Not used strace before but here is the tail end of 'strace qtcreator'. Any hints on improving the resulting dataq would be very gratefully received.

poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\2\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x556fd24b68b8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x556fd24b68b8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0#\1\340\1\0\0\0\0\0\0Q\0\31\2\33\0\202\3\n\0\36\1\340\1#\1\340\1"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 4) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 15) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\1\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\2\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffc39ef15f8, FUTEX_WAIT_PRIVATE, 0, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x556fd24b68b8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0#\1\340\1\0\0\0\0\0\0Q\0\31\2\33\0\202\3\n\0\36\1\340\1#\1\340\1"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 2) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\1\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\2\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffc39ef15f8, FUTEX_WAIT_PRIVATE, 0, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x556fd24b68b8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0#\1\340\1\0\0\0\0\0\0Q\0\31\2\33\0\202\3\n\0\36\1\340\1#\1\340\1"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 1) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 15) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\n\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 3) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\n\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 2) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 2) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 2) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 15) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 15) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\n\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
futex(0x556fd249a2f0, FUTEX_WAKE_PRIVATE, 1) = 1
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 3) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 3) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 2) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\1\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\7\0 \1\340\1$\1\0\0\6\0\0\0 \0\0\0\1\0\0\0\260\367(\10", iov_len=28}], 1) = 28
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\2\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x556fd24b68b8, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x556fd24b68b8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0#\1\340\1\0\0\0\0\0\0\0\0\31\2f\2\202\3\n\0\36\1\340\1#\1\340\1"..., iov_len=76}], 1) = 76
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 6) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\36\0\0\0\0\0\0\0", 16)        = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=3678, ...}) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\37\0\0\0\0\0\0\0", 16)        = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 9) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 9) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 9) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 8) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 7) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\n\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 10) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\n\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 3) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 5) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 4) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\3\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="+\0\1\0", iov_len=4}], 1) = 4
futex(0x7ffc39ef1668, FUTEX_WAIT_PRIVATE, 0, NULL) = 0
futex(0x556fd24b68b8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=";\3\5\0\23\1\340\1\0\0\0\0\3\7\341\3F\0\22\0\202\3\n\0\22\0\340\1\23\1\340\1"..., iov_len=76}], 1) = 76
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\7\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 11) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\n\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 0) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\v\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 15) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 10) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\5\0\0\0\0\0\0\0", 16)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 10) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=14, events=POLLIN}, {fd=16, events=POLLIN}, {fd=23, events=POLLIN}, {fd=26, events=POLLIN}, {fd=31, events=POLLIN}, {fd=32, events=POLLIN}, {fd=39, events=POLLIN}, {fd=47, events=POLLIN}, {fd=49, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=64, events=POLLIN}, {fd=66, events=POLLIN}, {fd=68, events=POLLIN}], 16, 16) = 1 ([{fd=5, revents=POLLIN}])
read(5, "\1\0\0\0\0\0\0\0", 16)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\2034\3\0\0\0\0\0\2\0\0\0+\0\1\0", iov_len=16}], 1) = 16
futex(0x7ffc39ef0f78, FUTEX_WAIT_PRIVATE, 0, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x556fd24b68b8, FUTEX_WAKE_PRIVATE, 1) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base=" \0\2\0\0\0\0\0\n\0\2\0\36\1\340\1\31\0\v\0\302\2\0\0\0\0\30\0\22\0\0\0"..., iov_len=60}], 1) = 60
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
fcntl(38, F_SETLK, {l_type=F_RDLCK, l_whence=SEEK_SET, l_start=124, l_len=1}) = 0
lseek(40, 0, SEEK_SET)                  = 0
read(40, "SQLite format 3\0\20\0\2\2\0@  \0\0\0\20\0\0\0\330"..., 4096) = 4096
lseek(40, 40960, SEEK_SET)              = 40960
read(40, "\n\0\0\0(\n\f\0\17\326\v\231\n\371\16i\16\"\fI\fr\v\340\nT\f\232\n\200\n\254"..., 4096) = 4096
fcntl(38, F_SETLK, {l_type=F_UNLCK, l_whence=SEEK_SET, l_start=124, l_len=1}) = 0
fcntl(38, F_SETLK, {l_type=F_RDLCK, l_whence=SEEK_SET, l_start=124, l_len=1}) = 0
lseek(40, 32768, SEEK_SET)              = 32768
read(40, "\2\17-\0\v\16\275\0\0\0\0\326\17\355\17\327\17\276\17\200\17\244\17f\17\26\16\346\17N\16\275"..., 4096) = 4096
lseek(40, 122880, SEEK_SET)             = 122880
read(40, "\n\1\267\0\236\1n\0\17\355\17\333\2\334\2\311\17\315\2\256\2\225\4\362\5\10\2S\2C\17\273"..., 4096) = 4096
fcntl(38, F_SETLK, {l_type=F_UNLCK, l_whence=SEEK_SET, l_start=124, l_len=1}) = 0
fcntl(38, F_SETLK, {l_type=F_RDLCK, l_whence=SEEK_SET, l_start=124, l_len=1}) = 0
lseek(40, 16384, SEEK_SET)              = 16384
read(40, "\5\0\0\0\4\17\350\0\0\0\0\305\17\372\17\364\17\356\17\350\4&\4\27\4\t\3\372\3\354\3\335"..., 4096) = 4096
lseek(40, 761856, SEEK_SET)             = 761856
read(40, "\r\2=\0\321\2\2\0\4~\4o\4`\4R\4D\0045\4&\4\27\4\t\3\372\3\354\3\335"..., 4096) = 4096
lseek(40, 20480, SEEK_SET)              = 20480
read(40, "\2\0\0\0\3\17\323\0\0\0\0\305\17\361\17\342\17\323\17d\17L\17X\17@\0174\17(\17\20"..., 4096) = 4096
lseek(40, 802816, SEEK_SET)             = 802816
read(40, "\r\0\0\0\216\7\323\3\16\346\17?\16\327\16\310\16\271\16\252\16\233\16\214\16~\16p\16a\16S"..., 4096) = 4096
fcntl(38, F_SETLK, {l_type=F_UNLCK, l_whence=SEEK_SET, l_start=124, l_len=1}) = 0
futex(0x7f9861f011c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
write(2, "terminate called after throwing "..., 48terminate called after throwing an instance of ') = 48
write(2, "Sqlite::UnknowError", 19Sqlite::UnknowError)     = 19
write(2, "'\n", 2'
)                      = 2
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, ~[RTMIN RT_1], [], 8) = 0
getpid()                                = 112022
gettid()                                = 112022
tgkill(112022, 112022, SIGABRT)         = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGABRT {si_signo=SIGABRT, si_code=SI_TKILL, si_pid=112022, si_uid=1000} ---
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-BLbnzS/ClangBackEnd-112022"
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-BLbnzS/ClangPchManagerBackEnd-112022"
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-BLbnzS/ClangRefactoringBackEnd-112022"
+++ killed by SIGABRT (core dumped) +++
Aborted (core dumped)

Comment 13 Simon Meaden 2020-01-13 08:50:58 UTC
OK I tried  removing all trace of qtcreator and reinstalling from scratch which made it slightly more stable but I still get problems during refactoring. This is the latter part of the output of strace and it looks more like a problem in CLang or QTCreator's CLang plugin.

poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\f\0\4\0(\10 \1@\0\0\0\0\0\0\0\2\0\4\0(\10 \1\0@\0\0\32\0 \1", iov_len=32}], 1) = 32
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\2\0\4\0(\10 \1\0@\0\0\32\0 \1", iov_len=16}], 1) = 16
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\30\0(\10 \1(\0\0\0)\0\0\0 \0\0\0\22\0\0\0\3\2\0\0\237\3\0\0"..., iov_len=148}], 1) = 148
futex(0x7fffe89b1248, FUTEX_WAIT_PRIVATE, 0, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x55dc73468bf8, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\23\0\3\0(\10 \1\r\1\0\0", iov_len=12}], 1) = 12
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\1\0\10\0*\10 \1(\10 \1\377\377\377\377\1\0\1\0\0\0\1\0\325\1\0\0\0\0\0\0"..., iov_len=124}], 1) = 124
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\r\0*\10 \1'\0\0\0\37\0\0\0\10\1\4\0\32\0\0\0Qt NET_W"..., iov_len=52}, {iov_base=NULL, iov_len=0}, {iov_base="", iov_len=0}], 3) = 52
futex(0x55dc73468c48, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0x55dc73468bf8, FUTEX_WAKE_PRIVATE, 1) = 1
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{iov_base="\22\0\7\0*\10 \1$\1\0\0\6\0\0\0 \0\0\0\1\0\0\0I\24\265\6\10\0\2\0"..., iov_len=40}], 1) = 40
futex(0x7fffe89b12d8, FUTEX_WAIT_PRIVATE, 0, NULL) = -1 EAGAIN (Resource temporarily unavailable)
futex(0x55dc73468bf8, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7fffe89b12dc, FUTEX_WAIT_PRIVATE, 0, NULL) = 0
futex(0x55dc73468bf8, FUTEX_WAKE_PRIVATE, 1) = 0
fcntl(36, F_SETLK, {l_type=F_RDLCK, l_whence=SEEK_SET, l_start=124, l_len=1}) = 0
lseek(38, 16384, SEEK_SET)              = 16384
read(38, "\5\0\0\0\4\17\350\0\0\0\0\305\17\372\17\364\17\356\17\350\4&\4\27\4\t\3\372\3\354\3\335"..., 4096) = 4096
lseek(38, 761856, SEEK_SET)             = 761856
read(38, "\r\2=\0\321\2\2\0\4~\4o\4`\4R\4D\0045\4&\4\27\4\t\3\372\3\354\3\335"..., 4096) = 4096
lseek(38, 20480, SEEK_SET)              = 20480
read(38, "\2\0\0\0\3\17\323\0\0\0\0\305\17\361\17\342\17\323\17d\17L\17X\17@\0174\17(\17\20"..., 4096) = 4096
lseek(38, 802816, SEEK_SET)             = 802816
read(38, "\r\0\0\0\216\7\323\3\16\346\17?\16\327\16\310\16\271\16\252\16\233\16\214\16~\16p\16a\16S"..., 4096) = 4096
fcntl(36, F_SETLK, {l_type=F_UNLCK, l_whence=SEEK_SET, l_start=124, l_len=1}) = 0
futex(0x7f9c0ba291c0, FUTEX_WAKE_PRIVATE, 2147483647) = 0
write(2, "terminate called after throwing "..., 48terminate called after throwing an instance of ') = 48
write(2, "Sqlite::UnknowError", 19Sqlite::UnknowError)     = 19
write(2, "'\n", 2'
)                      = 2
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, ~[RTMIN RT_1], [], 8) = 0
getpid()                                = 193268
gettid()                                = 193268
tgkill(193268, 193268, SIGABRT)         = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGABRT {si_signo=SIGABRT, si_code=SI_TKILL, si_pid=193268, si_uid=1000} ---
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-kOhdHV/ClangRefactoringBackEnd-193268"
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-kOhdHV/ClangBackEnd-193268"
ConnectionServer error: "QLocalSocket: Remote closed" "/tmp/QtCreator-kOhdHV/ClangPchManagerBackEnd-193268"
+++ killed by SIGABRT (core dumped) +++
Aborted (core dumped)

Comment 14 Simon Meaden 2020-01-13 09:20:01 UTC
It also threw up the following after a few seconds.

terminate called after throwing an instance of 'std::future_error'
  what():  std::future_error: No associated state


Note You need to log in before you can comment on or make changes to this bug.